Package com.enonic.xp.audit

## Class AuditLogs

- java.lang.Object
- - com.enonic.xp.support.AbstractImmutableEntitySet<AuditLog>
  - - com.enonic.xp.audit.AuditLogs

- All Implemented Interfaces:
    `Iterable<AuditLog>`

      public final class AuditLogs
      extends AbstractImmutableEntitySet<AuditLog>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AuditLogs.Builder` |

  - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.support.AbstractImmutableEntitySet

      `set`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AuditLogs.Builder` | `create()` |
    `static AuditLogs` | `empty()` |
    `static AuditLogs` | `from​(AuditLog... auditLogs)` |
    `static AuditLogs` | `from​(Iterable<? extends AuditLog> auditLogs)` |
    `static AuditLogs` | `from​(Collection<? extends AuditLog> auditLogs)` |
    `AuditLog` | `getAuditLogById​(AuditLogId auditLogId)` |

    - ### Methods inherited from class com.enonic.xp.support.AbstractImmutableEntitySet

      `contains, equals, first, getSet, getSize, hashCode, isEmpty, isNotEmpty, iterator, stream, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### empty

          public static AuditLogs empty()

    - #### from

          public static AuditLogs from​(AuditLog... auditLogs)

    - #### from

          public static AuditLogs from​(Iterable<? extends AuditLog> auditLogs)

    - #### from

          public static AuditLogs from​(Collection<? extends AuditLog> auditLogs)

    - #### create

          public static AuditLogs.Builder create()

    - #### getAuditLogById

          public AuditLog getAuditLogById​(AuditLogId auditLogId)